/*
 *  klocale_31.h  -  kdelibs KLocale class for KDE 3.1 compatibility
 *  Program:  kalarm
 *  Copyright (C) 2003, 2004 by David Jarvie <software@astrojar.org.uk>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef __klocale_31_h__
#define __klocale_31_h__

#ifdef KLocale
#undef KLocale
#endif

#include <kdeversion.h>
#include <klocale.h>

#define KCalendarSystem  KLocale

class KLocale_31 : public KLocale
{
public:
  KLocale_31(const QString& catalogue, KConfig* config = 0)
    : KLocale(catalogue, config) { }
  KLocale_31* calendar()  { return this; }
#if KDE_VERSION < 308
  int weekStartDay() const { return weekStartsMonday() ? 1 : 7; }
#endif
};

#define KLocale KLocale_31

#endif
